#!/usr/bin/perl 

use strict;
use warnings;

foreach my $arg (@ARGV){
	my $file;
	open $file, "<", $arg or die "file not found";

	my @array = <$file>;
	close $file;

	my @tmp = map { (split(/\s/, $_))[1]; }@array;

	my @max = sort {$a <=> $b} @tmp;
	my $max = pop @max;

	$arg =~ s/\.txt$/\.dat_/;
	open $file, ">", $arg or die $!;

	foreach my $line(@array){
		chomp $line;
		my @a = split /\s/, $line;
		$line =  $a[0] . "\t" . $a[1] . "\t" . sprintf("%.5f", 1239.8424/$a[0]) . 
			"\t" . sprintf("%.5f", $a[1]/$max) . "\n";
		print $file $line;
	}
}

